{
  "name": "strides",
  "version": "3.0.0",
  "license": "MIT",
  "private": true,
  "scripts": {
    "android": "react-native run-android",
    "ios": "react-native run-ios --simulator='iPhone 15 Pro'",
    "start": "react-native start",
    "test": "jest",
    "lint": "eslint .",
    "release": "npx react-native run-android --variant=release",
    "bundle": "cd android & ./gradlew bundleRelease",
    "build:android": "react-native bundle --platform android --dev false --entry-file index.js --bundle-output android/app/build/generated/assets/createBundleReleaseJsAndAssets/index.android.bundle --assets-dest android/app/build/generated/res/createBundleReleaseJsAndAssets/",
    "build:ios": "react-native bundle --platform ios --dev false --entry-file index.js --bundle-output ios/bundle/main.jsbundle --assets-dest ios/bundle ",
    "clean": "cd android & ./gradlew clean",
    "apk": "cd android & ./gradlew assembleRelease",
    "reset": "react-native start --reset-cache",
    "sit:android": "appcenter codepush release-react -a vbe/ChargEcoAndroid -d Staging -t",
    "prod:android": "appcenter codepush release-react -a vbe/ChargEcoAndroid -d Production -t",
    "sit:ios": "appcenter codepush release-react -a vbe/ChargEcoiOS -d Staging -t",
    "prod:ios": "appcenter codepush release-react -a vbe/ChargEcoiOS -d Production -t",
    "push:android": "appcenter codepush release-react -a vbe/ChargEcoAndroid -d Production -t",
    "push:ios": "appcenter codepush release-react -a vbe/ChargEcoiOS -c ios/bundle -d Production -t",
    "postinstall": "patch-package"
  },
  "dependencies": {
    "@react-native-async-storage/async-storage": "1.19.3",
    "@react-native-camera-roll/camera-roll": "5.7.2",
    "@react-native-community/art": "1.2.0",
    "@react-native-community/checkbox": "0.5.16",
    "@react-native-community/geolocation": "3.0.6",
    "@react-native-community/push-notification-ios": "1.11.0",
    "@react-native-masked-view/masked-view": "0.2.9",
    "@react-navigation/drawer": "6.6.3",
    "@react-navigation/material-top-tabs": "6.6.3",
    "@react-navigation/native": "6.1.7",
    "@react-navigation/stack": "6.3.17",
    "axios": "1.5.0",
    "deprecated-react-native-prop-types": "4.2.1",
    "react": "18.2.0",
    "react-native": "https://gitee.com/vbes/react-native.git",
    "react-native-camera": "4.2.1",
    "react-native-device-info": "10.9.0",
    "react-native-gesture-handler": "2.12.1",
    "react-native-i18n": "https://gitee.com/vbes/react-native-i18n.git",
    "react-native-image-crop-picker": "0.40.0",
    "react-native-linear-gradient": "2.8.3",
    "react-native-location-enabler": "https://gitee.com/vbes/react-native-location-enabler.git",
    "react-native-map-clustering": "3.4.2",
    "react-native-map-link": "2.11.2",
    "react-native-maps": "https://gitee.com/vbes/react-native-maps.git",
    "react-native-modal": "13.0.1",
    "react-native-modal-datetime-picker": "17.1.0",
    "react-native-pager-view": "6.2.1",
    "react-native-permissions": "3.9.0",
    "react-native-progress": "4.1.2",
    "react-native-push-notification": "8.1.1",
    "react-native-qrcode-scanner": "1.6.0",
    "react-native-reanimated": "3.4.2",
    "react-native-reanimated-skeleton": "1.5.1",
    "react-native-root-siblings": "4.1.1",
    "react-native-root-toast": "3.5.1",
    "react-native-safe-area-context": "4.7.2",
    "react-native-screens": "3.25.0",
    "react-native-share": "9.4.0",
    "react-native-svg": "13.13.0",
    "react-native-swiper": "1.6.0",
    "react-native-tab-view": "3.5.2",
    "react-native-vector-icons": "10.0.0",
    "react-native-view-shot": "3.7.0",
    "react-native-web": "0.19.8",
    "react-native-webview": "13.5.1",
    "vbe-cluster-map": "https://gitee.com/vbes/vbe-cluster-map.git",
    "victory-native": "36.6.11"
  },
  "devDependencies": {
    "@babel/core": "^7.20.0",
    "@babel/preset-env": "^7.20.0",
    "@babel/runtime": "^7.20.0",
    "@react-native/eslint-config": "^0.72.2",
    "@react-native/metro-config": "^0.72.11",
    "babel-jest": "^29.2.1",
    "eslint": "^8.19.0",
    "jest": "^29.2.1",
    "metro-react-native-babel-preset": "^0.76.8",
    "patch-package": "^8.0.0",
    "postinstall-postinstall": "^2.1.0",
    "react-test-renderer": "18.2.0",
    "typescript": "4.8.4"
  },
  "resolutions": {
    "react-native-permissions": "3.9.0"
  },
  "overrides": {
    "react-native-qrcode-scanner": {
      "react-native-permissions": "3.9.0"
    }
  },
  "engines": {
    "node": ">=16"
  },
  "jest": {
    "preset": "react-native"
  }
}
